Page 1 of 4 123 ... LastLast
Results 1 to 10 of 36

Thread: Upgrading to Hoary

  1. #1
    Join Date
    Oct 2004
    Location
    Cupertino, CA
    Beans
    5,092
    Distro
    Ubuntu 10.04 Lucid Lynx

    Upgrading to Hoary

    If you directly upgrade from Warty+Backports to Hoary, you may run into trouble on the way.

    If you'd like to upgrade to Hoary, following the following instructions:


    1. Run the given command:
    Code:
    apt-show-versions -b | grep warty-backports | cut -d ' ' -f 1 | awk -F/ '{print $1;}' |grep -v grepmap | grep -v wine | xargs --replace="{}" apt-get install {}/warty -s
    Examine the output of what's being done. It should simulate the downgrade of all installed backports (staging and stable) to Warty packages.

    2. Run
    Code:
    apt-show-versions -b | grep warty-backports | cut -d ' ' -f 1 | awk -F/ '{print $1;}' |grep -v grepmap | grep -v wine | xargs --replace="{}" apt-get install {}/warty -y --force-yes
    This will actually do the downgrade, instead of just simulating.

    3. Run
    Code:
    apt-show-versions -i; apt-show-versions -b | grep warty-backports
    This will show you exactly what backports are left after that ordeal. Deal with them by hand...

    4. Remove backports from your /etc/apt/sources.list, or disable Backports from Synaptic. Follow the installation directions in reverse, basically.

    5. Run an apt-get update

    6. Change from Warty sources to Hoary ones in /etc/apt/sources.list.

    7. Run apt-get update

    8. Run apt-get dist-upgrade

    9. Add Hoary Backports sources.
    Last edited by jdong; January 22nd, 2005 at 09:10 PM.
    Quote Originally Posted by tuxradar
    Linux's audio architecture is more like the layers of the Earth's crust than the network model, with lower levels occasionally erupting on to the surface, causing confusion and distress, and upper layers moving to displace the underlying technology that was originally hidden

  2. #2
    Join Date
    Nov 2004
    Location
    Texas
    Beans
    2,434

    Re: Upgrading to Hoary

    Quote Originally Posted by jdong
    If you directly upgrade from Warty+Backports to Hoary, you may run into trouble on the way.

    If you'd like to upgrade to Hoary, following the following instructions:


    1. Run the given command:
    Code:
    apt-show-versions -b | grep warty-backports | cut -d ' ' -f 1 | awk -F/ '{print $1;}' |grep -v grepmap | grep -v wine | xargs --replace="{}" apt-get install {}/warty -s
    Examine the output of what's being done. It should simulate the downgrade of all installed backports (staging and stable) to Warty packages.

    2. Run
    Code:
    apt-show-versions -b | grep warty-backports | cut -d ' ' -f 1 | awk -F/ '{print $1;}' |grep -v grepmap | grep -v wine | xargs --replace="{}" apt-get install {}/warty -y --force-yes
    This will actually do the downgrade, instead of just simulating.

    3. Run
    Code:
    apt-show-versions -i; apt-show-versions -b | grep warty-backports
    This will show you exactly what backports are left after that ordeal. Deal with them by hand...

    4. Remove backports from your /etc/apt/sources.list, or disable Backports from Synaptic. Follow the installation directions in reverse, basically.

    5. Run an apt-get update

    6. Change from Warty sources to Hoary ones in /etc/apt/sources.list.

    7. Run apt-get update

    8. Run apt-get dist-upgrade

    9. Add Hoary Backports sources.

    When Hoary comes around, will you do something differently to make upgrades go smoother?

    I'll look for ideas through Google.

  3. #3
    Join Date
    Dec 2004
    Beans
    543

    Re: Upgrading to Hoary

    You could create a metapackage "backports" that conflicted with all the Warty version backports. That way prioritizing upgrading the backports package would remove the Warty backports and upgrade them to the most recent non-conflicted ones, presumably the Hoary ones. APT is smart that way.

  4. #4
    Join Date
    Oct 2004
    Location
    Cupertino, CA
    Beans
    5,092
    Distro
    Ubuntu 10.04 Lucid Lynx

    Re: Upgrading to Hoary

    Quote Originally Posted by YokoZar
    You could create a metapackage "backports" that conflicted with all the Warty version backports. That way prioritizing upgrading the backports package would remove the Warty backports and upgrade them to the most recent non-conflicted ones, presumably the Hoary ones. APT is smart that way.

    Now there's an interesting idea. But it's gonna take some time to make happen. With me installing Hoary AMD64 and such in preparation for Hoary backports, it's gonna be a few weeks before I can have the time to do so.

    My other method was to use the "~" (less than) operator for the ubp tag. I remember a while ago, Daniel Stone was talking about using it. He said it would come in the future -- I want to know if Hoary's dpkg has it.
    Quote Originally Posted by tuxradar
    Linux's audio architecture is more like the layers of the Earth's crust than the network model, with lower levels occasionally erupting on to the surface, causing confusion and distress, and upper layers moving to displace the underlying technology that was originally hidden

  5. #5
    Join Date
    Oct 2004
    Location
    Soy de puerto rico josue!
    Beans
    389

    Re: Upgrading to Hoary

    in a weird way i cant use apt-show-versions
    and im right now updating to horay =/
    A freelancer | The GIMP Compilation

  6. #6
    Join Date
    Oct 2004
    Location
    Cupertino, CA
    Beans
    5,092
    Distro
    Ubuntu 10.04 Lucid Lynx

    Re: Upgrading to Hoary

    You must install apt-show-versions first. It's in Universe.
    Quote Originally Posted by tuxradar
    Linux's audio architecture is more like the layers of the Earth's crust than the network model, with lower levels occasionally erupting on to the surface, causing confusion and distress, and upper layers moving to displace the underlying technology that was originally hidden

  7. #7
    Join Date
    Oct 2004
    Location
    Soy de puerto rico josue!
    Beans
    389

    Re: Upgrading to Hoary

    kk i think i wont stop the current download and i fix up firefox later O_o

    anyway can you gimme the link of hoary backports to redownload firefox later
    A freelancer | The GIMP Compilation

  8. #8
    Join Date
    Oct 2004
    Location
    Cupertino, CA
    Beans
    5,092
    Distro
    Ubuntu 10.04 Lucid Lynx

    Re: Upgrading to Hoary

    It seems like Warty's dpkg already makes "foo~4.10ubp1" smaller than "foo". Perfect.

    Now if only I knew that 3 months ago.
    Quote Originally Posted by tuxradar
    Linux's audio architecture is more like the layers of the Earth's crust than the network model, with lower levels occasionally erupting on to the surface, causing confusion and distress, and upper layers moving to displace the underlying technology that was originally hidden

  9. #9
    Join Date
    Oct 2004
    Location
    Soy de puerto rico josue!
    Beans
    389

    Re: Upgrading to Hoary

    ok i updated to hoary
    some things failed
    anyway i cant find synaptic package now =/
    A freelancer | The GIMP Compilation

  10. #10
    Join Date
    Dec 2004
    Location
    Utah, USA
    Beans
    Hidden!
    Distro
    Ubuntu

    Re: Upgrading to Hoary

    Where are the hoary backports?
    Mike: "The hardest questions in life are the ones worth answering"

Page 1 of 4 123 ... LastLast

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •